summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Scott Parker2013-12-02 12:11:22 +0100
committer Robby Workman2013-12-06 07:00:08 +0100
commit2fc605caaa45f144ae76623a21e2eead2cac26c3 (patch)
tree19371f0553e7c9985f2fc6c01c5e06da148ca6c2 /development
parentb1d9605f467a6c6ef21c22c0874fa7b4fda5647a (diff)
downloadslackbuilds-2fc605caaa45f144ae76623a21e2eead2cac26c3.tar.gz
development/mg-openbsd: Added (small, fast and portable editor).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/mg-openbsd/README8
-rw-r--r--development/mg-openbsd/mg-openbsd.SlackBuild93
-rw-r--r--development/mg-openbsd/mg-openbsd.info10
-rw-r--r--development/mg-openbsd/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/development/mg-openbsd/README b/development/mg-openbsd/README
new file mode 100644
index 0000000000..bec018cd04
--- /dev/null
+++ b/development/mg-openbsd/README
@@ -0,0 +1,8 @@
+mg-openbsd (OpenBSD mg ported to Linux).
+
+mg is intended to be a small, fast, and portable editor for people who
+can't (or don't want to) run emacs for one reason or another, or are not
+familiar with the vi editor.
+
+It is compatible with emacs because there shouldn't be any reason to
+learn more editor types than emacs or vi.
diff --git a/development/mg-openbsd/mg-openbsd.SlackBuild b/development/mg-openbsd/mg-openbsd.SlackBuild
new file mode 100644
index 0000000000..c5672dc843
--- /dev/null
+++ b/development/mg-openbsd/mg-openbsd.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for mg-openbsd
+
+# Copyright 2013 Scott Parker, Vancouver BC, Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mg-openbsd
+VERSION=${VERSION:-5.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=/usr \
+MANDIR=/usr/man \
+DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+DESTDIR="$PKG" \
+make install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+install -m 0644 -D README.md $PKG/usr/doc/$PRGNAM-$VERSION/README.md
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mg-openbsd/mg-openbsd.info b/development/mg-openbsd/mg-openbsd.info
new file mode 100644
index 0000000000..2ea7db1ce4
--- /dev/null
+++ b/development/mg-openbsd/mg-openbsd.info
@@ -0,0 +1,10 @@
+PRGNAM="mg-openbsd"
+VERSION="5.4.0"
+HOMEPAGE="https://github.com/scott-parker/mg-openbsd"
+DOWNLOAD="https://github.com/scott-parker/mg-openbsd/archive/5.4.0.tar.gz"
+MD5SUM="36afe5c3297624ce38b6dab53fb0ced5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Scott Parker"
+EMAIL="scottp.sk8@gmail.com"
diff --git a/development/mg-openbsd/slack-desc b/development/mg-openbsd/slack-desc
new file mode 100644
index 0000000000..4c9edebfa5
--- /dev/null
+++ b/development/mg-openbsd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mg-openbsd: mg-openbsd (OpenBSD mg ported to Linux)
+mg-openbsd:
+mg-openbsd: mg is intended to be a small, fast, and portable editor for
+mg-openbsd: people who can't (or don't want to) run emacs for one reason
+mg-openbsd: or another, or are not familiar with the vi editor.
+mg-openbsd:
+mg-openbsd: It is compatible with emacs because there shouldn't be any
+mg-openbsd: reason to learn more editor types than emacs or vi.
+mg-openbsd:
+mg-openbsd: homepage: https://github.com/scott-parker/mg-openbsd
+mg-openbsd: